For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sales Channel Cancellation Plans

Create payment plan for cancellation

post

Creates a payment plan for a cancellation plan in the sales channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Body
Responses
200

Successfully created payment plan

application/json
objectOptional
post/api/channel/{channel_id}/cancellation_plans/{id}/create_payment_plan
POST /api/channel/{channel_id}/cancellation_plans/{id}/create_payment_plan HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "payment_plan": [
    {
      "transaction_type": "refund",
      "order_items": [
        1,
        2
      ],
      "refund_amount": 99.99
    }
  ]
}
{}

Get cancellation plans that need to be inserted or updated

get

Returns a list of cancellation plans inserted or updated in the sales channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
plan_typestring · enumOptional

Type of cancellation plan

Example: cancelPossible values:
cancellation_plan_statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
order_idintegerOptional

Order ID

order_numberstringOptional

Filter by order number

Example: ORD123456
channel_typestring · enumOptional

Type of the channel

Example: sales_channelPossible values:
channel_id__ininteger[]Optional

List of sales channel IDs

Example: 1
invoice_numberstringOptional

Invoice number associated with the cancellation plan

Example: INV-123456
created_byintegerOptional

ID of the user who created the cancellation plan

Example: 1
modified_byintegerOptional

ID of the user who last modified the cancellation plan

Example: 1
staff_remote_idstringOptional

Remote ID of the staff member associated with the cancellation plan

Example: 654321
retail_store_remote_idstringOptional

Remote ID of the retail store associated with the cancellation plan

Example: 123456
Responses
200

List of cancellation plans to be inserted or updated

application/json
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the cancellation plan

invoice_numberstringOptional

Invoice number associated with the cancellation plan

order_previous_statusstring · enumOptional

Status of the order item

Possible values:
shipping_refund_amountnumber · decimalOptional

Amount refunded for shipping

Example: 5
statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
retail_store_remote_idstringOptional

Remote ID of the retail store associated with the cancellation plan

Example: 123456
refund_amountnumber · floatOptional

Refund amount

Example: 10
discount_refund_amountnumber · floatOptional

Discount refund amount

Example: 2
plan_typestring · enumOptional

Type of cancellation plan

Example: cancelPossible values:
staff_remote_idstringOptional

Remote ID of the staff member

Example: 654321
payment_planobjectOptional

A JSON object to store payment plan details

modified_by_idintegerOptional

ID of the user who last modified the cancellation plan

Example: 1
get/api/channel/{channel_id}/cancellation_plans/inserts_or_updates/
GET /api/channel/{channel_id}/cancellation_plans/inserts_or_updates/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  }
]

Retrieve a cancellation plan

get

Returns a cancellation plan for a sales channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Cancellation plan for given ID

application/json
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the cancellation plan

invoice_numberstringOptional

Invoice number associated with the cancellation plan

order_previous_statusstring · enumOptional

Status of the order item

Possible values:
shipping_refund_amountnumber · decimalOptional

Amount refunded for shipping

Example: 5
statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
retail_store_remote_idstringOptional

Remote ID of the retail store associated with the cancellation plan

Example: 123456
refund_amountnumber · floatOptional

Refund amount

Example: 10
discount_refund_amountnumber · floatOptional

Discount refund amount

Example: 2
plan_typestring · enumOptional

Type of cancellation plan

Example: cancelPossible values:
staff_remote_idstringOptional

Remote ID of the staff member

Example: 654321
payment_planobjectOptional

A JSON object to store payment plan details

modified_by_idintegerOptional

ID of the user who last modified the cancellation plan

Example: 1
get/api/channel/{channel_id}/cancellation_plans/{id}/
GET /api/channel/{channel_id}/cancellation_plans/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "pk": 1,
  "order": {
    "pk": 1,
    "number": "ORDER12345",
    "channel": 1,
    "customer": 1,
    "date_placed": "2024-11-20T11:22:23.702774Z",
    "extra_field": {
      "special_note": "Handle with care"
    },
    "payment_option": 1,
    "payment_option_slug": "credit-card",
    "bin_number": "123456",
    "installment": 1,
    "installment_count": 6,
    "installment_interest_amount": 50,
    "cargo_company": 1,
    "is_send": false,
    "delivery_type": "next_day",
    "cancellation_info": {
      "reason": "Customer requested cancellation"
    },
    "cancel_status": "cancelled",
    "shipping_interest_amount": 10,
    "external_status": 1,
    "client_type": "default",
    "carrier_shipping_code": "TRACK12345",
    "segment": "premium",
    "checkout_provider_id": 12345,
    "status": 200,
    "currency": "try",
    "amount": 1000,
    "discount_amount": 50,
    "shipping_amount": 20,
    "shipping_tax_rate": 18,
    "refund_amount": 100,
    "discount_refund_amount": 10,
    "shipping_refund_amount": 5,
    "invoice_number": "INV123456",
    "invoice_date": "2024-11-21T11:22:23.702774Z",
    "e_archive_url": "https://earchive.example.com/invoice/123",
    "tracking_number": "TRACK12345",
    "defined_tracking_url": "https://tracking.example.com/track/123",
    "shipping_company": "yurtici",
    "remote_addr": "192.168.0.1",
    "has_gift_box": false,
    "gift_box_note": "Happy Birthday!",
    "language_code": "en",
    "notes": "Leave at the front door.",
    "delivery_range": {
      "start": "2026-01-01T00:00:00.000Z",
      "end": "2026-01-01T00:00:00.000Z"
    },
    "shipping_option_slug": "standard-shipping",
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  },
  "invoice_number": "text",
  "order_previous_status": "cancellation_waiting",
  "shipping_refund_amount": 5,
  "status": "waiting",
  "retail_store_remote_id": "123456",
  "refund_amount": 10,
  "discount_refund_amount": 2,
  "plan_type": "cancel",
  "cancellationplanorderitem_set": [
    {
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    }
  ],
  "staff_remote_id": "654321",
  "created_by": {
    "pk": 1,
    "username": "johndoe",
    "first_name": "John",
    "last_name": "Doe",
    "email": "johndoe@test.com",
    "is_active": true,
    "is_staff": false,
    "is_superuser": false,
    "date_joined": "2023-10-01T12:00:00Z",
    "last_login": "2023-10-01T12:00:00Z",
    "groups": [
      1
    ],
    "can_read_sensitive_data": false,
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  },
  "last_updated_by": {
    "pk": 1,
    "username": "johndoe",
    "first_name": "John",
    "last_name": "Doe",
    "email": "johndoe@test.com",
    "is_active": true,
    "is_staff": false,
    "is_superuser": false,
    "date_joined": "2023-10-01T12:00:00Z",
    "last_login": "2023-10-01T12:00:00Z",
    "groups": [
      1
    ],
    "can_read_sensitive_data": false,
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  },
  "payment_plan": {},
  "modified_by_id": 1,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

Get cancellation plans that need to be updated

get

Returns a list of cancellation plans that updated in the sales channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
plan_typestring · enumOptional

Type of cancellation plan

Example: cancelPossible values:
cancellation_plan_statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
order_idintegerOptional

Order ID

order_numberstringOptional

Filter by order number

Example: ORD123456
channel_typestring · enumOptional

Type of the channel

Example: sales_channelPossible values:
channel_id__ininteger[]Optional

List of sales channel IDs

Example: 1
invoice_numberstringOptional

Invoice number associated with the cancellation plan

Example: INV-123456
created_byintegerOptional

ID of the user who created the cancellation plan

Example: 1
modified_byintegerOptional

ID of the user who last modified the cancellation plan

Example: 1
staff_remote_idstringOptional

Remote ID of the staff member associated with the cancellation plan

Example: 654321
retail_store_remote_idstringOptional

Remote ID of the retail store associated with the cancellation plan

Example: 123456
Responses
200

List of cancellation plans to be updated

application/json
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the cancellation plan

invoice_numberstringOptional

Invoice number associated with the cancellation plan

order_previous_statusstring · enumOptional

Status of the order item

Possible values:
shipping_refund_amountnumber · decimalOptional

Amount refunded for shipping

Example: 5
statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
retail_store_remote_idstringOptional

Remote ID of the retail store associated with the cancellation plan

Example: 123456
refund_amountnumber · floatOptional

Refund amount

Example: 10
discount_refund_amountnumber · floatOptional

Discount refund amount

Example: 2
plan_typestring · enumOptional

Type of cancellation plan

Example: cancelPossible values:
staff_remote_idstringOptional

Remote ID of the staff member

Example: 654321
payment_planobjectOptional

A JSON object to store payment plan details

modified_by_idintegerOptional

ID of the user who last modified the cancellation plan

Example: 1
get/api/channel/{channel_id}/cancellation_plans/updates/
GET /api/channel/{channel_id}/cancellation_plans/updates/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  }
]

List cancellation plans for a sales channel

get

Returns a list of cancellation plans for a sales channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
plan_typestring · enumOptional

Type of cancellation plan

Example: cancelPossible values:
cancellation_plan_statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
order_idintegerOptional

Order ID

order_numberstringOptional

Filter by order number

Example: ORD123456
channel_typestring · enumOptional

Type of the channel

Example: sales_channelPossible values:
channel_id__ininteger[]Optional

List of sales channel IDs

Example: 1
invoice_numberstringOptional

Invoice number associated with the cancellation plan

Example: INV-123456
created_byintegerOptional

ID of the user who created the cancellation plan

Example: 1
modified_byintegerOptional

ID of the user who last modified the cancellation plan

Example: 1
staff_remote_idstringOptional

Remote ID of the staff member associated with the cancellation plan

Example: 654321
retail_store_remote_idstringOptional

Remote ID of the retail store associated with the cancellation plan

Example: 123456
Responses
200

Successful response

application/json
countintegerOptional

Total number of items

nextstring · uri · nullableOptional

URL of the next page

previousstring · uri · nullableOptional

URL of the previous page

get/api/channel/{channel_id}/cancellation_plans/
GET /api/channel/{channel_id}/cancellation_plans/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get cancellation plans that need to be inserted

get

Returns a list of cancellation plans that needs to be inserted in the sales channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
plan_typestring · enumOptional

Type of cancellation plan

Example: cancelPossible values:
cancellation_plan_statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
order_idintegerOptional

Order ID

order_numberstringOptional

Filter by order number

Example: ORD123456
channel_typestring · enumOptional

Type of the channel

Example: sales_channelPossible values:
channel_id__ininteger[]Optional

List of sales channel IDs

Example: 1
invoice_numberstringOptional

Invoice number associated with the cancellation plan

Example: INV-123456
created_byintegerOptional

ID of the user who created the cancellation plan

Example: 1
modified_byintegerOptional

ID of the user who last modified the cancellation plan

Example: 1
staff_remote_idstringOptional

Remote ID of the staff member associated with the cancellation plan

Example: 654321
retail_store_remote_idstringOptional

Remote ID of the retail store associated with the cancellation plan

Example: 123456
Responses
200

List of cancellation plans to be inserted

application/json
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the cancellation plan

invoice_numberstringOptional

Invoice number associated with the cancellation plan

order_previous_statusstring · enumOptional

Status of the order item

Possible values:
shipping_refund_amountnumber · decimalOptional

Amount refunded for shipping

Example: 5
statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
retail_store_remote_idstringOptional

Remote ID of the retail store associated with the cancellation plan

Example: 123456
refund_amountnumber · floatOptional

Refund amount

Example: 10
discount_refund_amountnumber · floatOptional

Discount refund amount

Example: 2
plan_typestring · enumOptional

Type of cancellation plan

Example: cancelPossible values:
staff_remote_idstringOptional

Remote ID of the staff member

Example: 654321
payment_planobjectOptional

A JSON object to store payment plan details

modified_by_idintegerOptional

ID of the user who last modified the cancellation plan

Example: 1
get/api/channel/{channel_id}/cancellation_plans/inserts/
GET /api/channel/{channel_id}/cancellation_plans/inserts/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  }
]

Update cancellation plan status

post

Updates the status of a cancellation plan in the sales channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Body
statusstring · enumOptional

Status of the cancellation plan

Example: waitingPossible values:
Responses
200

Cancellation plan status updated successfully

application/json
objectOptional
post/api/channel/{channel_id}/cancellation_plans/{id}/update_status/
POST /api/channel/{channel_id}/cancellation_plans/{id}/update_status/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "status": "waiting"
}
{}

Last updated

Was this helpful?